Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface WLDFImageRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface WLDFImageRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface controls diagnostic image creation, and provides access to run-time information about past and current diagnostic image capture requests.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`WLDFImageCreationTaskRuntimeMBean` | `captureImage()` Creates a diagnostic image in the configured destination directory.
`WLDFImageCreationTaskRuntimeMBean` | `captureImage(int lockoutMinutes)` Creates a diagnostic image in the configured destination directory.
`WLDFImageCreationTaskRuntimeMBean` | `captureImage(String destination)` Creates a diagnostic image in the specified destination directory, which can be specified either as a relative or absolute pathname.
`WLDFImageCreationTaskRuntimeMBean` | `captureImage(String destination, int lockoutMinutes)` Creates a diagnostic image in the specified destination directory, which can be specified either as a relative or absolute pathname.
`void` | `clearCompletedImageCaptureTasks()` Removes all completed image capture tasks.
`WLDFImageCreationTaskRuntimeMBean[]` | `listImageCaptureTasks()` The list of all initiated image capture tasks.
`void` | `resetImageLockout()` Reset the lockout period, thus allowing image capture requests to be accepted.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### captureImage

    public WLDFImageCreationTaskRuntimeMBean captureImage()
                                                   throws ManagementException

  Creates a diagnostic image in the configured destination directory.

  Returns:
    TaskRuntimeMBean instance to watch the progress of this image capture
  Throws:
    `ManagementException`

### captureImage

    public WLDFImageCreationTaskRuntimeMBean captureImage(int lockoutMinutes)
                                                   throws ManagementException

  Creates a diagnostic image in the configured destination directory.

  No additional image capture requests will be accepted until the specified lockout period has expired.

  Parameters:
    `lockoutMinutes` - number of minutes before the next image capture request will be accepted
  Returns:
    TaskRuntimeMBean instance to watch the progress of this image capture
  Throws:
    `ManagementException`

### captureImage

    public WLDFImageCreationTaskRuntimeMBean captureImage(String destination)
                                                   throws ManagementException

  Creates a diagnostic image in the specified destination directory, which can be specified either as a relative or absolute pathname. If relative, the path is relative to the server's `logs` directory.

  If the directory does not exist, it is created. If the directory exists, it must be writable in order for image creation to proceed.

  Parameters:
    `destination` - absolute or relative directory path
  Returns:
    TaskRuntimeMBean instance to watch the progress of this image capture
  Throws:
    `ManagementException`

### captureImage

    public WLDFImageCreationTaskRuntimeMBean captureImage(String destination,
                                                          int lockoutMinutes)
                                                   throws ManagementException

  Creates a diagnostic image in the specified destination directory, which can be specified either as a relative or absolute pathname. If relative, the path is relative to the server's `logs` directory.

  If the directory does not exist, it is created. If the directory exists, it must be writable in order for image creation to proceed.

  No additional image capture requests will be accepted until the specified lockout period has expired.

  Parameters:
    `destination` - absolute or relative path
    `lockoutMinutes` - number of minutes before next image capture request will be accepted
  Returns:
    TaskRuntimeMBean instance to watch the progress of this image capture
  Throws:
    `ManagementException`

### clearCompletedImageCaptureTasks

    public void clearCompletedImageCaptureTasks()

  Removes all completed image capture tasks.

### listImageCaptureTasks

    public WLDFImageCreationTaskRuntimeMBean[] listImageCaptureTasks()

  The list of all initiated image capture tasks.

  Returns:
    a list of all pending or completed image capture tasks.

### resetImageLockout

    public void resetImageLockout()

  Reset the lockout period, thus allowing image capture requests to be accepted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD